Bug 134339 - s-c-sc doesn't handle erroneous asound.conf
Summary: s-c-sc doesn't handle erroneous asound.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-config-soundcard   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-01 14:46 UTC by Féliciano Matias
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.2.11-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-09 11:08:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Féliciano Matias 2004-10-01 14:46:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
If there is only one sound card, there is no way to rewrite
/etc/asound.conf .

This is annoying in this case :
- The system have two sound cards and asound.conf is configured to use
card 1 (second card).
- The first sound card is removed from the system.

At least the "play test sound" will not work if modprobe.conf is not
update by kudzu.
If modprobe.conf is update (there is only snd-card-0) then asound.conf
point to a card that doesn't exist. The configuration is definitively
broken. s-c-sc does not fix this.

Version-Release number of selected component (if applicable):
1.2.10-1

How reproducible:
Always

Comment 1 Bastien Nocera 2005-04-02 14:29:55 UTC
Fixed in CVS:

2005-04-02  Bastien Nocera  <hadess@hadess.net>

        * src/soundcard.py: Write an asound.conf on startup with index 0
        as the default if there's only one soundcard (Closes: #134339)



Note You need to log in before you can comment on or make changes to this bug.